#!/bin/sh
# Copyright (c) 2022 Synology Inc. All rights reserved.

SURVEILLANCE_INC_SCRP=/var/packages/SurveillanceStation/scripts/SurveillanceStationCommon
. ${SURVEILLANCE_INC_SCRP}

if [ ! -f "$CODECPACK_INFO" ] || [ ! -f "$SS_PKG_ENABLED_FILE" ]; then
	exit 0
fi

stop_packages=$1

for package in ${stop_packages//,/ }; do
	if [ "CodecPack" == $package ] && [ true == $(IsUsingAME) ] && [ $(GetCodecPackMajorVer) -lt 2 ]; then
		exit 1
	fi
done

exit 0
